package com.nifty.cloud.ncs.service;

import java.util.Date;

/**
 * ニフクラストレージのバケット情報を保持するクラスです。
 *
 */
public class NcsBucket
{
	private Owner owner = null;
	private String name = null;
	private Date created = null;

	/**
	 * 名前を指定せずに新しいNcsBucketを構築します。
	 *
	 */
	public NcsBucket()
	{
	}

	/**
	 * 指定した名前を使用して新しいNcsBucketを構築します。
	 *
	 * @param name
	 *  バケット名
	 */
	public NcsBucket(String name)
	{
		this.name = name;
	}

	/**
	 * バケットオーナーを設定します。
	 *
	 * @param owner
	 *  バケットのオーナー
	 */
	public void setOwner(Owner owner)
	{
		this.owner = owner;
	}

	/**
	 * バケットのオーナーを取得します。
	 *
	 * @return
	 *  バケットのオーナー
	 */
	public Owner getOwner()
	{
		return (owner);
	}

	/**
	 * バケット名を設定します。
	 *
	 * @param name
	 *  バケット名
	 */
	public void setName(String name)
	{
		this.name = name;
	}

	/**
	 * バケット名を取得します。
	 *
	 * @return
	 *  バケット名
	 */
	public String getName()
	{
		return (name);
	}

	/**
	 * バケット作成日時を設定します。
	 *
	 * @param created
	 *  バケット作成日時
	 */
	public void setCreated(Date created)
	{
		this.created = created;
	}

	/**
	 * バケット作成日時を取得します。
	 *
	 * @return
	 *  バケット作成日時
	 */
	public Date getCreated()
	{
		return (created);
	}

	@Override
	public String toString()
	{
		StringBuilder sb = new StringBuilder();
		sb.append("NcsBucket [name=");
		sb.append(name);
		sb.append(", created=");
		sb.append(created);
		sb.append(", owner=");
		sb.append(owner);
		sb.append("]");

		return (sb.toString());
	}
}
